$kind: http-request
url: "{{sahara_local}}recruitment/candidates/create"
method: POST
body:
  type: formdata
  content:
    - type: text
      key: salutation
      value: Mr.
      description: Mr,Mrs,Miss,Ms,Dr,Prof,Rev,Eng,Hon,Sir,Lady
    - type: text
      key: first_name
      value: John
    - type: text
      key: last_name
      value: Doe
    - type: text
      key: other_name
      value: Mark
      description: Nullable
    - type: text
      key: email
      value: me@tryme.com
    - type: text
      key: phone
      value: "+256701234567"
    - type: text
      key: gender
      value: male
      description: male, female
    - type: text
      key: marital_status
      value: single
      description: "'single', 'married', 'divorced', 'widowed'"
    - type: text
      key: branch_id
      value: 56ffcf16-fa67-4c3e-a0e3-1e6a92a53de2
    - type: text
      key: date_of_birth
      value: 1995-06-10
    - type: file
      key: profile_picture
      src: /C:/Users/user/Downloads/image.png
      description: Nullable
    - type: text
      key: location
      value: Kampala
      description: Nullable
    - type: text
      key: current_job_title
      value: Software Engineer
      description: Nullable
    - type: text
      key: current_employer
      value: ABC LTD
      description: Nullable
    - type: text
      key: years_experience
      value: "5"
      description: Nullable
    - type: text
      key: availability
      value: Immediate
      description: //"Website", "Walk-ins", "LinkedIn", "Google", "Referrals",
        "Internal Candidates","Socials",  "Others"
    - type: text
      key: salary_expectations
      value: "3000000"
      description: Nullable
    - type: text
      key: notice_period
      value: 2 weeks
      description: Nullable
    - type: text
      key: source
      value: LinkedIn
      description: Website", "Walk-ins", "LinkedIn", "Google", "Referrals", "Internal
        Candidates","Socials",  "Others
    - type: text
      key: linkedin_url
      value: https://linkedin.com/in/johndoe
      description: Nullable
    - type: text
      key: github_url
      value: https://github.com/johndoe
      description: Nullable
    - type: text
      key: portfolio_url
      value: https://johndoe.dev
      description: Nullable
    - type: text
      key: consent_date
      value: 2025-06-30
      description: Nullable
    - type: text
      key: data_retention_period
      value: "2"
      description: Nullable
    - type: file
      key: resume
      src: /C:/Users/user/Downloads/Invoice_0004287.pdf
    - type: text
      key: skills[0][skill_id]
      value: 808bc5c4-5d49-419d-bdc8-82710d6d7633
    - type: text
      key: skills[0][proficiency_level]
      value: Advanced
      description: Beginner", "Intermediate", "Advanced", "Expert"
    - type: text
      key: skills[0][years_experience]
      value: "3"
      description: Nullable
    - type: text
      key: skills[0][last_used]
      value: 2024-12-15
      description: Nullable
    - type: text
      key: skills[0][is_primary]
      value: "true"
      description: true/false
      disabled: true
    - type: text
      key: qualifications[0][institution]
      value: Makerere University
    - type: text
      key: qualifications[0][award]
      value: Degree
      description: PLE", "O-Level", "A-Level", "Certificate", "Diploma", "Degree",
        "PGD", "Masters", "PHD
    - type: text
      key: qualifications[0][field_of_study]
      value: Computer Science
    - type: text
      key: qualifications[0][start_date]
      value: 2017-08-01
      description: Nullable
    - type: text
      key: qualifications[0][end_date]
      value: 2021-05-30
      description: Nullable
    - type: text
      key: qualifications[0][is_completed]
      value: "true"
      description: true/false
      disabled: true
    - type: file
      key: qualifications[0][attachment]
      src: /C:/Users/user/Downloads/Invoice_0004287.pdf
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
